*{box-sizing: border-box;}
body{margin:0px;padding:0px;background:#FFF; font-size:12px; font-family:Arial, Helvetica, sans-serif;}
.wrapper{width:100%;height:auto;overflow:hidden;}
.header{width:1000px;margin:0 auto;height:200px;}
.dark_grey{background:#362F2D;height:260px;width:550px;margin:0 auto;border-radius:15px;}
.login_header{background:url(../images/login_light_ng.png); background-repeat:no-repeat; position:relative; width:361px; height:323px; top:-22px; left:30px; z-index:9999; padding-top:40px; padding-right:0;}
.label{font-family:Arial, Helvetica, sans-serif;font-size:12px;text-transform:uppercase;color:#666;font-weight:bold;}
.login_textbox{width:275px; border:1px solid #CCC; height:30px;padding-left:5px;}
.login_textbox:hover{border:1px solid #999;}
.grey_line{background:url(../images/grey_line.png); background-repeat:repeat-x;}
.remember{font-family:Arial, Helvetica, sans-serif;font-size:12px;color:#666;}
.login_heading{position:absolute; float:left; z-index:9999; left:-20px; top:118px;}
.message_text a{color:#FFF;font-family:Arial, Helvetica, sans-serif;font-size:12px;text-decoration:none;}
.login_button a{background: #2FAAB0; padding:8px 20px; border-radius:3px; color:#FFFFFF; font-family:Arial, Helvetica, sans-serif; font-size:13px; text-decoration:none; text-transform:uppercase;}
.message_block{width:141px; top:-180px; left:142px; position:relative; z-index:9999; float:right;}
.style4 {
	font-size: 30px;
	color: #FFFFFF;
	padding-left:20px;
}
.login_bg {
    background: url("../images/pick_bg.jpg") no-repeat scroll center top rgba(0, 0, 0, 0);
    float: right;
    height: 85px;
    position: absolute;
    width: 100%;
}

.submit_bttn
{
	background: #333333; padding:8px 20px; border-radius:3px; color:#FFFFFF; font-family:Arial, Helvetica, sans-serif; font-size:13px; text-decoration:none; text-transform:uppercase; border:none; cursor:pointer;
}
/*----------------------------------------dashboard-------------------------------*/
.icons_link a
{
font-family:Arial, Helvetica, sans-serif;
font-size:12px;
color:#666666;
font-weight:bold;
text-decoration:none;
}
.icons_link a:hover
{
color:#2FAAB0;
}
.top_bg_left{/*background:#362F2D;*/ height:50px; /*border-right:1px solid #fff;*/}
.top_bg_right{background: #ffffff;


 height:50px;}
.top_menu { display:inline-block; white-space:nowrap; float:right; color:#ffffff; padding:10px; margin-right:10px; border-radius:10px; background:linear-gradient(to bottom, #ff7e5f, #feb47b); box-shadow:1px 1px 2px rgba(0,0,0,0.2) inset,1px 1px 0 rgba(255,255,255,0.2),0 4px 8px rgba(0,0,0,0.1); }
.top_menu ul{ margin:0; padding:0;}
.top_menu ul li{display:inline; padding:0 10px; color:#FFFFFF;}
.top_menu ul li a{text-decoration:none; color:#FFFFFF;}
.username_box{box-shadow: 1px 1px 2px rgba(0, 0, 0, 0.2) inset, 1px 1px 0 rgba(255, 255, 255, 0.2); color:#FFFFFF; padding:10px; }
.black_bg_left{background:linear-gradient(to bottom, #ff7e5f, #feb47b); margin:10px;}
.black_bg_left_text{color: #ffffff; font-size:11px; margin:0px 0 0 10px;}
.black_bg_left_text_ff{color: #ffffff; font-size:11px; margin:0px 0 0 10px; text-align:right; margin-right:20px;}
.black_bg_right{background:linear-gradient(to bottom, #ff7e5f, #feb47b); height:30px; margin:10px;}
.desc_line{height:55px; background:#dfdfdf; border-bottom:1px solid #bbbbbb;}
.desc_line_text{font-size:18px; font-weight:normal; color: #333333; margin-left:10px;}
.desc_line_text a{font-size:18px; font-weight:normal; color: #333333; margin-left:10px; text-decoration:none;}
.desc_line_text_spann{ font-size:12px; color:#999999;}
.left_menu{background:#e1e1e1; border:#bbbbbb 1px solid;}
.top_line_tab{ background:url(../images/top_line_tab.png) top repeat-x; height:30px; border:1px solid #bbbbbb; font-weight:bold;}
.top_line_tab_text{padding-left:10px; text-transform: uppercase; color:#999999; }
.left_menu_aj{border-bottom: 1px solid #BBBBBB; height:36px; width:100%;  background:url(../images/left_menu_bg.jpg) repeat-x;}
.left_menu_aj.childmenuheader{background:url(../images/left_menu_bg.jpg) repeat-x !important;}
.glossymenu .submenu .left_menu_aj{background:#FFFFFF;}
.glossymenu .submenu .left_menu_aj a.menuitem{color: #000;}
.table_top_bg {
background:#362f2d;
height:34px;
-webkit-border-top-left-radius: 2px;
-webkit-border-top-right-radius: 2px;
-moz-border-radius-topleft: 2px;
-moz-border-radius-topright: 2px;
border-top-left-radius: 2px;
border-top-right-radius: 2px;
}
.table_top_bg span {
padding:0 0 0 10px;
font-size:13px;
color:#FFFFFF;
}

.table_main_tr{ background:#FFF; height: 30px;}
.table_main_tr td{border-right:#CCCCCC 1px solid; border-bottom:#CCCCCC 1px solid; text-align:center; font-size:14px; font-weight:bold; }
.table_main_tr_f{border-left:#CCCCCC 1px solid; text-align:center;}

.table_data {background:#FFFFFF; height:28px; }
.table_data:hover{background:#ededed; height:28px; }
.table_data td{text-align:center; border-right:#CCCCCC 1px solid; border-bottom:#CCCCCC 1px solid;}
.last{ border-bottom:#CCCCCC 1px solid; text-align:center;}
td.label1
{
color:#666666;
font-family:Arial, Helvetica, sans-serif;
font-size:12px;
padding-left:10px;
}


.brdr_all
{
border:#CCCCCC 1px solid;
}
.form_textbox
{
width:250px;
height:25px;
border:1px solid #CCCCCC;
padding-left:5px;
color:#333333;
font-family:Arial, Helvetica, sans-serif;
}
.form_dropdown
{
width:258px;
height:30px;
border:1px solid #CCCCCC;
padding:5px;
color:#333333;
font-family:Arial, Helvetica, sans-serif;
}

/*============ error messages =======================*/

.redmsg
{
	width:49%;
	min-height:25px;
	background-color:#FBD2B2;
	padding:4px;
}
#msg-red
{
	color:#CE2700;
	font-family:Verdana, Geneva, sans-serif;
	font-size:14px;
	font-weight:bold;
	padding-top:5px;
}

.greenmsg
{
	width:49%;
	min-height:25px;
	background-color:#E0F2CB;
	padding:4px;
}
#msg-green
{
	color:#6DA85F;
	font-family:Verdana, Geneva, sans-serif;
	font-size:14px;
	font-weight:bold;
	padding-top:5px;
}

/* ======================================================== */

.pager a{
	text-decoration:none;
	background:#000;
	color:#FFF;
	padding:5px;
	  -moz-border-radius: 5px;
    -webkit-border-radius: 5px;
    -khtml-border-radius: 5px;
    border-radius: 5px;
}
.pager b {
	background:#891200;
	color:#FFF;
	padding:5px;
	  -moz-border-radius: 5px;
    -webkit-border-radius: 5px;
    -khtml-border-radius: 5px;
    border-radius: 5px;
}
.star
{
	color:#F00;
	font-weight:bold;
	font-size:14px;
}




.knapper-wrapper {
    display: flex;
    gap: 10px; /* Tilføjer lidt plads mellem knapperne */
}


button[name="logout"]:hover {
    background-color: #d32f2f; /* Mørkere rød farve ved hover */
}





.popup-container {
    display: none; /* Skjuler popup som standard */
    /* Øvrige stilarter for popup-vinduet */
}

.popup-container.popup-active {
    display: block; /* Viser popup-vinduet */
}

 .popup-container {
            width: 300px; 
            display: none;
            position: fixed;
            top: 50%;
            left: 50%;
            transform: translate(-50%, -50%);
            background-color: white;
            padding: 20px;
            border: 2px solid black;
            border-radius: 10px;
            z-index: 9999;
        }
        
        
        .popup-container #closePopupButton {
        position: absolute;
        top: 10px;
        right: 10px;
        background-color: transparent;
        border: none;
        font-size: 20px;
        cursor: pointer;
    }
    
    
     .popup-container #closeCreateUserPopup {
        position: absolute;
        top: 10px;
        right: 10px;
        background-color: transparent;
        border: none;
        font-size: 20px;
        cursor: pointer;
        
    }
    
    
    .overlay {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5); /* Juster gennemsigtigheden efter behov */
    z-index: 9998; /* Sørg for, at overlayet ligger under popup-containeren, men over alt andet indhold */
}

.overlay.active {
    display: block;
}

    .table-responsive {
    overflow-x: auto; /* Tillader horisontal scrolling på små enheder */
}
    

    
    


.deleteBtn {
            background-color: red;
            color: white;
            border: none;
            padding: 5px 10px;
            border-radius: 4px;
            cursor: pointer;
            transition: background-color 0.3s;
        }

        .editBtn:hover {
            background-color: #45a049;
        }
#toggleButton {
    background-color: #00008B; /* Mørkeblå baggrund */
    color: white;
    border: none;
    cursor: pointer;
    transition: background-color 0.3s;
    padding: 8px 20px; /* Justeret padding for at matche logud-knappen */
    font-size: 14px; /* Justeret skriftstørrelse for at matche logud-knappen */
    text-transform: uppercase;
    letter-spacing: 1px;
    outline: none;
    width: auto; /* Autobredde baseret på indholdet */
    height: auto; /* Autohøjde baseret på indholdet */
}

#toggleButton:hover {
    background-color: #00005B; /* Mørkere blå ved hover */
}



        label {
            display: block;
            margin-bottom: 5px;
        }

        input, select {
            width: 100%;
            padding: 8px;
            margin-bottom: 10px;
            border: 1px solid #ccc;
            border-radius: 4px;
            box-sizing: border-box;
        }

        #saveEdit {
            background-color: #4CAF50;
            color: white;
            border: none;
            padding: 10px 20px;
            border-radius: 4px;
            cursor: pointer;
            transition: background-color 0.3s;
        }

        #saveEdit:hover {
            background-color: #45a049;
        }





.knapper-wrapper {
    display: flex;
    gap: 10px; /* Tilføjer lidt plads mellem knapperne */
}


button[name="logout"]:hover {
    background-color: #d32f2f; /* Mørkere rød farve ved hover */
}





.popup-container {
    display: none; /* Skjuler popup som standard */
    /* Øvrige stilarter for popup-vinduet */
}

.popup-container.popup-active {
    display: block; /* Viser popup-vinduet */
}

 .popup-container {
            width: 300px; 
            display: none;
            position: fixed;
            top: 50%;
            left: 50%;
            transform: translate(-50%, -50%);
            background-color: white;
            padding: 20px;
            border: 2px solid black;
            border-radius: 10px;
            z-index: 9999;
        }
        
        
        .popup-container #closePopupButton {
        position: absolute;
        top: 10px;
        right: 10px;
        background-color: transparent;
        border: none;
        font-size: 20px;
        cursor: pointer;
    }
    
    
     .popup-container #closeCreateUserPopup {
        position: absolute;
        top: 10px;
        right: 10px;
        background-color: transparent;
        border: none;
        font-size: 20px;
        cursor: pointer;
        
    }
    
    
    .overlay {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5); /* Juster gennemsigtigheden efter behov */
    z-index: 9998; /* Sørg for, at overlayet ligger under popup-containeren, men over alt andet indhold */
}

.overlay.active {
    display: block;
}

    .table-responsive {
    overflow-x: auto; /* Tillader horisontal scrolling på små enheder */
}
    

    
    


.deleteBtn {
            background-color: red;
            color: white;
            border: none;
            padding: 5px 10px;
            border-radius: 4px;
            cursor: pointer;
            transition: background-color 0.3s;
        }

        .editBtn:hover {
            background-color: #45a049;
        }
#toggleButton {
    background-color: #00008B; /* Mørkeblå baggrund */
    color: white;
    border: none;
    cursor: pointer;
    transition: background-color 0.3s;
    padding: 8px 20px; /* Justeret padding for at matche logud-knappen */
    font-size: 14px; /* Justeret skriftstørrelse for at matche logud-knappen */
    text-transform: uppercase;
    letter-spacing: 1px;
    outline: none;
    width: auto; /* Autobredde baseret på indholdet */
    height: auto; /* Autohøjde baseret på indholdet */
}

#toggleButton:hover {
    background-color: #00005B; /* Mørkere blå ved hover */
}



        label {
            display: block;
            margin-bottom: 5px;
        }

        input, select {
            width: 100%;
            padding: 8px;
            margin-bottom: 10px;
            border: 1px solid #ccc;
            border-radius: 4px;
            box-sizing: border-box;
        }

        #saveEdit {
            background-color: #4CAF50;
            color: white;
            border: none;
            padding: 10px 20px;
            border-radius: 4px;
            cursor: pointer;
            transition: background-color 0.3s;
        }

    #saveEdit:hover {background-color: #45a049;}
    input[type="file"] {
    border: 2px solid #357a38; /* Grøn kant der matcher dit site's tema */
    padding: 5px;
    background: #fff;
    border-radius: 5px;
    margin-top: 10px;
}

/* Style for upload-knap */
input[type="submit"] {
    background-color: #007bff; /* Grøn baggrund der matcher dit site's tema */
    color: white;
    padding: 10px 20px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    margin-top: 10px;
}


    
.image-row {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}

.image-container {
    width: calc(33.333% - 10px); /* 3 per row with some space between */
    margin-bottom: 15px;
    position: relative;
    border-radius: 20px;
    overflow: hidden;
    box-shadow: 0 10px 20px rgba(0, 0, 0, 0.3);
    height: 222px; /* Adjust this height to fit your needs */
    background-size: cover; /* Ensures the image covers the container */
    background-repeat: no-repeat;
    background-position: center;
    transition: transform 0.3s, box-shadow 0.3s;
}

.image-container:hover {
    transform: scale(1.05);
    box-shadow: 0 15px 30px rgba(0, 0, 0, 0.5);
}

.delete-button {
    width: 100%;
    padding: 10px 0;
    border: none;
    background-color: #f44336;
    color: white;
    cursor: pointer;
    position: absolute;
    bottom: 0;
    left: 0;
    border-radius: 0 0 20px 20px;
    transition: background-color 0.3s;
}

.update-button {
    width: 100%;
    padding: 10px 0;
    border: none;
    background-color: #f44336;
    color: white;
    cursor: pointer;
    position: absolute;
    bottom: 0;
    right: 0;
    border-radius: 0 0 20px 20px;
    transition: background-color 0.3s;
}

.delete-button:hover {
    background-color: #d32f2f;
}
/* The Modal (background) */
.modal {
  display: none; /* Hidden by default */
  position: fixed; /* Stay in place */
  z-index: 1; /* Sit on top */
  padding-top: 100px; /* Location of the box */
  left: 0;
  top: 0;
  width: 100%; /* Full width */
  height: 100%; /* Full height */
  overflow: auto; /* Enable scroll if needed */
  background-color: rgba(0,0,0,0.9); /* Black w/ opacity */
}

/* Modal Content (image) */
.modal-content {
  margin: auto;
  display: block;
  width: 80%;
  max-width: 700px;
}

/* Caption of Modal Image */
#caption {
  margin: auto;
  display: block;
  width: 80%;
  max-width: 700px;
  text-align: center;
  color: #ccc;
  padding: 10px 0;
  height: 150px;
}

/* Add Animation - Zoom in the Modal */
.modal-content, #caption { 
  animation-name: zoom;
  animation-duration: 0.6s;
}

@keyframes zoom {
  from {transform:scale(0)} 
  to {transform:scale(1)}
}

/* The Close Button */
.close {
  position: absolute;
  top: 15px;
  right: 35px;
  color: #f1f1f1;
  font-size: 40px;
  font-weight: bold;
  transition: 0.3s;
  cursor: pointer;
}

.close:hover,
.close:focus {
  color: #bbb;
  text-decoration: none;
  cursor: pointer;
}












  .message-table {
        width: 100%;
        border-collapse: collapse;
        margin-bottom: 20px; /* Juster dette efter behov for at undgå at overlappe med andre elementer */
		font-familey:comic Sans MS', cursive, sans-serif;
    }
    .message-table th, .message-table td {
        padding: 8px;
        border: 1px solid #ddd;
        text-align: left;
    }
    .message-table th {
        background-color: #f2f2f2;
    }
    .message-table tr:hover {
        background-color: #f5f5f5;
    }
    .message-table a {
        color: #0000EE;
        text-decoration: none;
    }
    .message-table a:hover {
        text-decoration: underline;
    }

    /* Tilpasning af eksisterende stil */
    .section.approved-section {
        background-color: #f9f9f9;
        padding: 20px;
        border-radius: 5px;
        margin-bottom: 20px;
    }
           #besked-text {
            color: red !important; /* Rød farve */
            font-family: Arial, sans-serif !important; /* Skrifttypen Arial eller en anden sans-serif skrifttype */
            font-size: 18px !important; /* Skriftstørrelse */
        }
		
		input[type="message"],
    textarea {
        width: 41%;
        padding: 10px;
        border: 1px solid #ccc;
        border-radius: 4px;
        resize: vertical; /* Allow vertical resizing of textarea */
    }
	
	.message-table {
    width: 100%;
    border-collapse: collapse;
}

.message-table {
    width: 100%;
    border-collapse: collapse;
}

.message-table th, .message-table td {
    border: 1px solid #ddd;
    padding: 8px;
    text-align: left;
}

@media screen and (max-width: 600px) {
    .message-table-container {
        overflow-x: auto;
    }
}
.PopupAGMessageBox h1 {
    color: unset;
}
span.agPopupClosemMessage {
    background: #000;
    color: #fff;
    width: 20px;
    display: block;
    height: 20px;
    text-align: center;
    border-radius: 10px;
    font-weight: 700;
    cursor: pointer;
    float: right;
    margin-bottom: 5px;
}
.PopupAGMessage {
    position: fixed;
    top: 0;
    left: 0;
    z-index: 9999;
    width: 100%;
    height: 100%;
    background: #ffffff78;
}
.PopupAGMessageInnerm {
    transform: translate(-50%, -50%);
    width: auto;
    min-width: 20%;
    max-width: 60%;
    height: auto;
    max-height: 80%;
	overflow: auto;
	
    min-height: 25%;
    position: absolute;
    left: 50%;
    top: 50%;
    background: #fff;
    padding: 15px;
    box-shadow: 0px 0px 5px #000000ba;
    border-radius: 10px;
}
span.agPopupClose {
    background: #000;
    color: #fff;
    width: 20px;
    display: block;
    height: 20px;
    text-align: center;
    border-radius: 10px;
    font-weight: 700;
    cursor: pointer;
    float: right;
    margin-bottom: 5px;
}
.attachmentPopupAG {
    position: fixed;
    top: 0;
    left: 0;
    z-index: 9999;
    width: 100%;
    height: 100%;
    background: #ffffff78;
}

.attachmentPopupAGInner {
    transform: translate(-50%, -50%);
    width: 60%;
	height: 80%;
    position: absolute;
    left: 50%;
    top: 50%;
    background: #fff;
    padding: 15px;
    box-shadow: 0px 0px 5px #000000ba;
    border-radius: 10px;
}

.attachmentPopupAGInner iframe {
    width: 100%;
	height: 100%;
}

.container1 {
    /* display: flex; */
    justify-content: space-between;
    gap: 30px;
}


.box{
    width: 22% !important;
}

.box-title {
    font-size: 19px;
    margin-bottom: 10px;
}

.box-counter {
    font-size: 36px;
    line-height: 1.2;
    /* Ens højde */
    min-height: 1.2em; /* Juster efter behov */
}

#vent {
    background-color: #E57373;
}

#godkendt {
    background-color: #81C784;
}

#total {
    background-color: #64B5F6;
}



.box-container {
    padding-bottom: 50px; /*Tilføj ønsket padding nedenfor containeren*/
}

	

/* Styling for curve_chart div */
#curve_chart {
    width: 100%; /* Fylder bredden af sin container */
    height: auto; /* Auto højde for responsivitet, kan sættes til fast værdi efter behov */
    padding: 0; /* Fjerner eventuel indre afstand */
    border-radius: 15px; /* Afrundede hjørner for at matche .section */
    overflow: hidden; /* Sikrer, at indholdet ikke overskrider containerens grænser */
}

/* Styling for curve_chart1 div */
#curve_chart1 {
    width: 100%; /* Fylder bredden af sin container */
    height: auto; /* Auto højde for responsivitet, kan sættes til fast værdi efter behov */
    padding: 0; /* Fjerner eventuel indre afstand */
    border-radius: 15px; /* Afrundede hjørner for at matche .section */
    overflow: hidden; /* Sikrer, at indholdet ikke overskrider containerens grænser */
}

#footer {
    background-color: #f2f2f2;
    padding: 20px;
    text-align: center;
    position: fixed;
    bottom: 0;
    width: 100%;
}

body:not(.vagtplan) button:not(#closePopupButton):not(#closeEditPopup):not(#closeCreateUserPopup):not(#closeCreateMultipleUsersPopup):not(.delete-button):not(.ui-button):not(.ui-corner-all):not(.ui-widget):not(.ui-button-icon-only):not(.ui-dialog-titlebar-close) {
    background-color: #007bff ;
    color: white ;
    border: none ;
    padding: 10px 20px ;
    border-radius: 4px ;
    cursor: pointer ;
    transition: background-color 0.3s ;
}
        




/* baba this side */
.custmodal .unique-modal-content{width: 100% !important;max-width:500px;}
.custmodal .unique-modal-content .modal-header h2{margin: 0;}
.custmodal .unique-modal-content .modal-body{display: flex;align-items: center;justify-content: space-between;}
/* .custmodal .shift-modal-content{width: 100% !important;max-width: 1000px;} */
.custmodal .shift-modal-content .shift-modal-header{padding: 10px 20px;}
.custmodal .shift-modal-content .shift-modal-header h2{margin: 0;}
/* .custmodal .shift-modal-content .shift-user-info .shift-user-details{width: 30%;}
.custmodal .shift-modal-content .shift-user-info .shift-user-detail-section{width: 70%;} */

.custmodal .shift-modal-content .shift-user-info .shift-user-additional-details .shift-user-details-row .shift-user-detail-item{flex: 1 1 calc(33.33% - 16px) !important;min-width: inherit;}
.custmodal .modal-content{max-width: 1000px;overflow-y: auto;height: 80vh;}
.custmodal .modal-content .form-row{gap: 0px 15px;width: 100%;}

.shift {white-space: inherit !important;}
.shift-actions{gap: 5px;flex-wrap: wrap;}


.shift-modal.custmodal .shift-modal-content{width: 100% !important;max-width:600px;}
.shift-modal .shift-user-info{display: flex;justify-content: flex-start;align-items: flex-start;flex-direction: column;}
.shift-modal .shift-user-info .shift-user-details{display: flex;justify-content: space-between;align-items: center;width: 100%;margin: 0;}
.shift-modal .shift-user-info .shift-user-details .profile_img_name{display: flex;flex-direction: column;justify-content: center;align-items: center;gap:2px;}
.shift-modal .shift-user-info .shift-user-details .profile_img_name .shift-avatar{width:70px;height: auto;margin: 0;}
.shift-modal .shift-user-info .shift-user-details .profile_img_name .shift-user-name,
.shift-modal .shift-user-info .shift-user-details .profile_img_name .shift-user-title{margin: 0 0;position: relative;bottom: 0;}
.shift-modal .shift-user-info .shift-user-details .shift-user-detail-info{display: flex;flex-direction: column;justify-content:flex-end;align-items:flex-end;}
.shift-modal .shift-user-info .shift-user-detail-section{margin: 10px 0 0;}
#emailModal.modal .model-content{background-color:#FFF;padding:20px 20px;}


/* Krishna CSS */
.comman_btn{display:flex;justify-content: center;align-items: center;width: auto;padding:10px 12px;margin: 0;background: linear-gradient(to bottom, #ff7e5f, #feb47b);color: #FFF;font-size: 14px;font-weight: 600;border-radius:5px;text-decoration: none;outline: none;border: none;}
.comman_btn:hover,
.comman_btn:focus,
.comman_btn:active,
.comman_btn:focus-visible{outline: none;text-decoration: none;border:none;background:#b9babb;}

/* Main Header */
.admin_login_header{display: block;width: 100%;max-width:1320px;padding-right: calc(1.5rem * .5);padding-left: calc(1.5rem * .5);margin-right: auto;margin-left: auto;}
.main_header_top{padding:10px 0;}
.main_header_top .inner_header{display: flex;justify-content: space-between;align-items: center;}
.main_header_top .inner_header .logo_side{display: flex;justify-content: center;align-items: center;flex-wrap: nowrap;width:250px;margin: 0;padding: 0;}
.main_header_top .inner_header .logo_side .responsive_menu_icon{display: none;}
.main_header_top .inner_header .logo_side .responsive_menu_icon a#menu_icon{display: inline-flex;width: auto;border-radius: 4px; text-decoration: none;border:none;padding:6px 6px;background: linear-gradient(to bottom, #ff7e5f, #feb47b);color: #FFF;}
.main_header_top .inner_header .logo_side a{display: block;width: 100%;max-width: 100%;text-decoration:none;outline: none;border: none;}
.main_header_top .inner_header .logo_side a img{max-width:250px;width: 100%;height: auto;}
.main_header_top .inner_header .header_right{display:flex;justify-content: flex-end;align-items: center;width: 100%;}
.main_header_top .inner_header .header_right .user-info{display: flex;justify-content: flex-end;align-items: center;gap: 10px;}
.main_header_top .inner_header .header_right .user-info span{display: inline;font-size: 14px;font-weight: 500;color: #000;}
.main_header_bottom{display: flex;justify-content: space-between;align-items: center;flex-wrap: wrap; padding:0px 1.5rem;margin:0 0;background: linear-gradient(to bottom, #ff7e5f, #feb47b);}
.main_header_bottom .black_bg_right{display: flex;justify-content: space-between;align-items: center;margin: 0;gap: 12px;}
.main_header_bottom .black_bg_right label{margin-bottom: 0;font-size: 14px;font-weight:500;}

/* SideBar */
.main_container{display: flex;justify-content:flex-end;align-items: center;width: 100%;gap: 10px;margin: 0 auto 0 0;position: relative;}
.main_container .inner_container{display: block;width: 100%;max-width:calc(100% - 280px);margin:20px 0;}
.side-bar.left_menu{width:100%;max-width:270px;min-height:100vh;position: absolute;left:2px;top:0;bottom: 0;overflow-y:visible;overflow-x: hidden;transition:all 300ms linear;}
body:has(#afterLogin_header) .side-bar.left_menu{top: 0px;}
#sideBar.active{left: -300px;}


/* After Login Header */

#afterLogin_header .custom_container{display: block;width: 100%;max-width:1320px;padding-right: calc(1.5rem * .5);padding-left: calc(1.5rem * .5);margin-right: auto;margin-left: auto;}
#afterLogin_header .custom_container .header_top{padding:10px 0;}
#afterLogin_header .custom_container .inner_header{display: flex;justify-content: space-between;align-items: center;}
#afterLogin_header .custom_container .inner_header .logo_side{display: flex;justify-content: center;align-items: center;flex-wrap: nowrap;width:250px;margin: 0;padding: 0;}
#afterLogin_header .custom_container .inner_header .logo_side a{display: block;width: 100%;max-width: 100%;text-decoration:none;outline: none;border: none;}
#afterLogin_header .custom_container .inner_header .logo_side a img{max-width:250px;width: 100%;height: auto;}
#afterLogin_header .custom_container .inner_header .logo_side .responsive_menu_icon{display: none;}
#afterLogin_header .custom_container .inner_header .logo_side .responsive_menu_icon a#menu_icon{display: inline-flex;width: auto;border-radius: 4px; text-decoration: none;border:none;padding:6px 6px;background: linear-gradient(to bottom, #ff7e5f, #feb47b);color: #FFF;}
#afterLogin_header .custom_container .inner_header .header_right{display:flex;justify-content: flex-end;align-items: center;width: 100%;}
#afterLogin_header .custom_container .inner_header .header_right .user-info{display: flex;justify-content: flex-end;align-items: center;gap: 10px;}
#afterLogin_header .custom_container .inner_header .header_right .user-info span{display: inline;font-size: 14px;font-weight: 500;color: #000;}

#afterLogin_header .header_bottom{display: flex;justify-content: space-between;align-items: center;background:linear-gradient(to bottom, #ff7e5f, #feb47b);padding:6px 10px;}
#afterLogin_header .header_bottom .header_bottom_content{display: flex;justify-content: space-between;align-items: center;}
#afterLogin_header .header_bottom .header_bottom_content .black_bg_left_text{display: block;margin: 0 0 0 0;width: 100%;font-size:14px;font-weight:600;color: #FFF;}
#afterLogin_header .header_bottom .header_bottom_content .black_bg_right{display: block;margin: 0 !important;height: auto !important;background: transparent;}

.main_container .inner_container .afterLogin_container {display: flex;justify-content: center;align-items: center;padding: 20px 20px;flex-direction: column;}
.main_container .inner_container .afterLogin_container .box_container{display: flex;justify-content: center;align-items: center;gap:40px;width: 100%;flex-wrap: wrap;}
.main_container .inner_container .afterLogin_container .dashboard_chart{display: block;width: auto;padding: 0 20px 20px 10px;width: 100%;}
.main_container .inner_container .afterLogin_container .dashboard_chart .chart-container{margin-bottom: 20px !important;}
.main_container .inner_container .afterLogin_container .top_line_tab{display: flex;justify-content: flex-start;align-items: center;background: url(../images/top_line_tab.png) top repeat-x;height: 30px;border: 1px solid #bbbbbb;width: 100%;}
.main_container .inner_container .afterLogin_container .top_line_tab .top_line_tab_text{display: block;}

.footer{display:flex;justify-content: center;align-items: center;width: 100%;background: linear-gradient(to bottom, #ff7e5f, #feb47b);max-width: calc(100% - 270px);margin:33px 0 0 auto;}
.footer .footer_text{display: block;width: 100%;text-align: center;color: #FFF;font-weight: 500;font-size: 14px;padding: 10px 10px;}

/* Krishna added */
@media only screen and (max-width: 991px)  {
    .main_header_top .inner_header .logo_side .responsive_menu_icon,
    #afterLogin_header .custom_container .inner_header .logo_side .responsive_menu_icon{display: block;};
    .container{ flex-wrap:wrap;}
   .row {display: flex; flex-wrap: wrap; gap: 20px; width: 100%;
}
}

@media only screen and (max-width: 767px)  {
    #userTable {width: 100%;margin-left: 0;margin-top: 0;}
    #userTable thead {display: none;}
    #userTable tr {display: block;margin-bottom: 15px;}
    #userTable td {display: block;text-align: right;position: relative;padding-left: 50%;}
    #userTable td::before {content: attr(data-label);position: absolute;left: 10px;width: 50%;padding-right: 10px;white-space: nowrap;text-align: left;font-weight: bold;}
    #userTable td .knapper-wrapper button{padding: 10px 12px !important;}
    .main_header_top{padding: 10px 10px;}
    #afterLogin_header .custom_container .header_top{padding: 10px 20px;}

    .main_header_top .inner_header,
    #afterLogin_header .custom_container .inner_header{flex-wrap: wrap;}
    
    .main_header_top .inner_header .logo_side,
    #afterLogin_header .custom_container .inner_header .logo_side{width: 100%;}
    
    .main_header_top .inner_header .logo_side a img,
    #afterLogin_header .custom_container .inner_header .logo_side a img{width: 200px;}
    #afterLogin_header .custom_container .inner_header .header_right{margin:6px 0;}

    .main_container .inner_container{max-width: 100%;}
    
    .side-bar.left_menu{position: fixed;z-index: 4;}
    body:has(#afterLogin_header) .side-bar.left_menu{top: 0px;}
    body:not(#sideBar.active) .side-bar.left_menu{left: -300px;top: 0px;}
    body:has(#sideBar.active) .side-bar.left_menu{left:0px;top: 0px;}

    .footer{max-width: 100%;}
    .image-container{width: 100%;flex-basis: auto !important;}
    input, textarea{width: 100%;}
    .popup-container{width: calc(100% - 20px) !important;}
}
    
@media only screen and (max-width: 479px)  {
    .main_header_top .inner_header .header_right{margin-top: 10px;}
    .custmodal .unique-modal-content{max-width:calc(100% - 20px);}
    /* .custmodal .modal-content .form-row{grid-template-columns:auto;} */
}